﻿/**Begin E:\app\DBA审批\11月\差量生成\PDM_UPGRADE\PDM1\MSBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PLAT_QUOTESTENTRY' AND KSQL_COL_NAME ='FPRICESOURCEPRECONDESC') 
 ALTER TABLE T_PLAT_QUOTESTENTRY ADD (FPRICESOURCEPRECONDESC NVARCHAR(2000) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PLAT_QUOTESTENTRY' AND KSQL_COL_NAME ='FPRICESOURCEPRECON') 
 ALTER TABLE T_PLAT_QUOTESTENTRY ADD (FPRICESOURCEPRECON NVARCHAR(512) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PLAT_QUOTESTENTRY' AND KSQL_COL_NAME ='FPRICESOURCEPRECON_TAG') 
 ALTER TABLE T_PLAT_QUOTESTENTRY ADD (FPRICESOURCEPRECON_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_QUOTESCHEMEENTRY_R') 
 CREATE TABLE T_PLAT_QUOTESCHEMEENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQUOTESIGNNAMER VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTESIGNR VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESIGNNAMER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESIGNR VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEMEGROUPPRICE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_CALENTRY') 
 CREATE TABLE T_PLAT_CALENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCALSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FQUOTETERMSIGNDESC NVARCHAR(200) DEFAULT ' ',
FQUOTETERMSIGN VARCHAR(200) DEFAULT ' ',
FCALPRECONDITIONDESC NVARCHAR(2000),
FCALPRECONDITION NVARCHAR(512),
FCALPRECONDITION_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CALSTRATEGY_FA') 
 CREATE TABLE T_MSBD_CALSTRATEGY_FA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQUOTESCHEMEGROUPID BIGINT DEFAULT 0 NOT NULL,
FREQUIRED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CALSTRATEGY_FO') 
 CREATE TABLE T_MSBD_CALSTRATEGY_FO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQUOTESIGNNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMULA VARCHAR(2000) DEFAULT ' ',
FFORMULADES NVARCHAR(2000),
FPROCESSFACTORID BIGINT DEFAULT 0 NOT NULL,
FFORMULADESCRIPTION NVARCHAR(512),
FCALFACTOR VARCHAR(2000) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CALSTRATEGY_L') 
 CREATE TABLE T_MSBD_CALSTRATEGY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CALSTRATEGY') 
 CREATE TABLE T_MSBD_CALSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUOTEENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512),
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FUSE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_PRICINGPROCESS_FA') 
 CREATE TABLE T_MSBD_PRICINGPROCESS_FA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQUOTESCHEMEGROUPID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDVALUE NVARCHAR(255),
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTESUCCESS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FRESULT VARCHAR(20) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_PRICINGPROCESS_FO') 
 CREATE TABLE T_MSBD_PRICINGPROCESS_FO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPRICERESULT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFORMULA VARCHAR(1000) DEFAULT ' ',
FFORMULADES NVARCHAR(1000),
FQUOTESIGNNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSFACTORID BIGINT DEFAULT 0 NOT NULL,
FFORMULADESCRIPTION NVARCHAR(512),
FRESULT VARCHAR(20) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_PRICINGPROCESS') 
 CREATE TABLE T_MSBD_PRICINGPROCESS (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQUOTESTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FCALSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FQUOTEENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_QUOTESCHEMEGROUP_E') 
 CREATE TABLE T_MSBD_QUOTESCHEMEGROUP_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQUOTESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPRICESOURCEPRECONDESC NVARCHAR(2000),
FPRICESOURCEPRECON NVARCHAR(512),
FPRICESOURCEPRECON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_QUOTESCHEMEGROUP_L') 
 CREATE TABLE T_MSBD_QUOTESCHEMEGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_QUOTESCHEMEGROUP') 
 CREATE TABLE T_MSBD_QUOTESCHEMEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUOTEENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512),
FMULPRICE VARCHAR(5) DEFAULT ' ' NOT NULL,
FPRICESOURCE VARCHAR(5) DEFAULT ' ' NOT NULL,
FQUOTESIGNNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FUSE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_PRICELISTTYPE') 
 CREATE TABLE T_MSBD_PRICELISTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ',
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSTAIR CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_PRICELISTTYPE_L') 
 CREATE TABLE T_MSBD_PRICELISTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);




/**End E:\app\DBA审批\11月\差量生成\PDM_UPGRADE\PDM1\MSBD_table.sql **/
