﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MSBD_QUOTAALGORITHM', 'T_MSBD_QUOTAALGORITHM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTAALGORITHM' AND KSQL_INDNAME = 'IDX_MSBD_QUOTAALGORITHM_NUMBER') CREATE INDEX IDX_MSBD_QUOTAALGORITHM_NUMBER ON T_MSBD_QUOTAALGORITHM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSBD_QUOTAALGORITHM_L', 'T_MSBD_QUOTAALGORITHM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTAALGORITHM_L' AND KSQL_INDNAME = 'IDX_MSBD_QUOTAALGORITHM_L_FID') CREATE INDEX IDX_MSBD_QUOTAALGORITHM_L_FID ON T_MSBD_QUOTAALGORITHM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_QUOTACALRULE', 'T_MSBD_QUOTACALRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTACALRULE' AND KSQL_INDNAME = 'IDX_MSBD_QUOTACALRULE_NUMBER') CREATE INDEX IDX_MSBD_QUOTACALRULE_NUMBER ON T_MSBD_QUOTACALRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSBD_QUOTACALRULE_L', 'T_MSBD_QUOTACALRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTACALRULE_L' AND KSQL_INDNAME = 'IDX_MSBD_QUOTACALRULE_L_FID') CREATE INDEX IDX_MSBD_QUOTACALRULE_L_FID ON T_MSBD_QUOTACALRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_QUOTACALRULEENTRY', 'T_MSBD_QUOTACALRULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTACALRULEENTRY' AND KSQL_INDNAME = 'IDX_MSBD_QUOTACALRULEENTRY') CREATE INDEX IDX_MSBD_QUOTACALRULEENTRY ON T_MSBD_QUOTACALRULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSBD_QUOTASCHEME', 'T_MSBD_QUOTASCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTASCHEME' AND KSQL_INDNAME = 'IDX_MSBD_QUOTASCHEME_FNUMBER') CREATE INDEX IDX_MSBD_QUOTASCHEME_FNUMBER ON T_MSBD_QUOTASCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSBD_QUOTASCHEME_L', 'T_MSBD_QUOTASCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTASCHEME_L' AND KSQL_INDNAME = 'IDX_MSBD_QUOTASCHEME_L_FID') CREATE INDEX IDX_MSBD_QUOTASCHEME_L_FID ON T_MSBD_QUOTASCHEME_L ( FID ,FLOCALEID );



 EXEC P_ALTERPK 'PK_T_MSBD_QUOTASCHEMECENTRY', 'T_MSBD_QUOTASCHEMECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_QUOTASCHEMECENTRY' AND KSQL_INDNAME = 'IDX_MSBD_QUOTASCHEMECENTRY') CREATE INDEX IDX_MSBD_QUOTASCHEMECENTRY ON T_MSBD_QUOTASCHEMECENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSBD_DATACTRLSCHEME', 'T_MSBD_DATACTRLSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DATACTRLSCHEME' AND KSQL_INDNAME = 'IDX_MSBD_DATACTRLSCHEME_FNUM') CREATE INDEX IDX_MSBD_DATACTRLSCHEME_FNUM ON T_MSBD_DATACTRLSCHEME ( FNUMBER  DESC );


 EXEC P_ALTERPK 'PK_T_MSBD_DATACTRLSCHEME_L', 'T_MSBD_DATACTRLSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DATACTRLSCHEME_L' AND KSQL_INDNAME = 'IDX_MSBD_DATACTRLSCHEME_L_FID') CREATE INDEX IDX_MSBD_DATACTRLSCHEME_L_FID ON T_MSBD_DATACTRLSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_DATACTRLSTRATEGY', 'T_MSBD_DATACTRLSTRATEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DATACTRLSTRATEGY' AND KSQL_INDNAME = 'IDX_MSBD_DATACTRLSTRATEGY_FNUM') CREATE INDEX IDX_MSBD_DATACTRLSTRATEGY_FNUM ON T_MSBD_DATACTRLSTRATEGY ( FNUMBER  DESC );


 EXEC P_ALTERPK 'PK_T_MSBD_DATACTRLSTRATEGY_L', 'T_MSBD_DATACTRLSTRATEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DATACTRLSTRATEGY_L' AND KSQL_INDNAME = 'IDX_MSBD_DATACTRLSTRATEGY_L_ID') CREATE INDEX IDX_MSBD_DATACTRLSTRATEGY_L_ID ON T_MSBD_DATACTRLSTRATEGY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_DCSCHEMEENTRY', 'T_MSBD_DCSCHEMEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DCSCHEMEENTRY' AND KSQL_INDNAME = 'IDX_MSBD_DCSCHEMEENTRY_FID') CREATE INDEX IDX_MSBD_DCSCHEMEENTRY_FID ON T_MSBD_DCSCHEMEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSBD_DCSTRATEGYENTRY', 'T_MSBD_DCSTRATEGYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DCSTRATEGYENTRY' AND KSQL_INDNAME = 'IDX_MSBD_DCSTRATEGYENTRY_FID') CREATE INDEX IDX_MSBD_DCSTRATEGYENTRY_FID ON T_MSBD_DCSTRATEGYENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
