﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PLAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_CHANGEMODEL') 
 CREATE TABLE T_PLAT_CHANGEMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID VARCHAR(80) DEFAULT ' ' NOT NULL,
FXBILLID VARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_CHANGEMODELFE') 
 CREATE TABLE T_PLAT_CHANGEMODELFE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTARGETFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCANDISPLAY CHAR(1) DEFAULT '0' NOT NULL,
FCANENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCANLOG CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_CHANGEMODELPE') 
 CREATE TABLE T_PLAT_CHANGEMODELPE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLUGINENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCLASSNAME VARCHAR(200) DEFAULT ' ',
FPLUGINJSON VARCHAR(500) DEFAULT ' ',
FPLUGINTYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_XBILLLOG') 
 CREATE TABLE T_PLAT_XBILLLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION BIGINT DEFAULT 0 NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FXBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FXREASON NVARCHAR(1000) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLJSON_TAG NCLOB,
FSRCBILLJSON NVARCHAR(512) DEFAULT ' ',
FXBILLJSON_TAG NCLOB,
FXBILLJSON NVARCHAR(512) DEFAULT ' ',
FXMDJSON_TAG NCLOB,
FXMDJSON NVARCHAR(512) DEFAULT ' '
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PLAT_table.sql **/
