﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MSBD_TASKLOG', 'T_MSBD_TASKLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKLOG' AND KSQL_INDNAME = 'IDX_MSBD_TASKLOG_MTID') CREATE INDEX IDX_MSBD_TASKLOG_MTID ON T_MSBD_TASKLOG ( FMAINTASKLOGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKLOG' AND KSQL_INDNAME = 'IDX_MSBD_TASKLOG_SCHEMEID') CREATE INDEX IDX_MSBD_TASKLOG_SCHEMEID ON T_MSBD_TASKLOG ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_T_MSBD_TASKLOG_L', 'T_MSBD_TASKLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKLOG_L' AND KSQL_INDNAME = 'IDX_MSBD_TASKLOG_L_FID') CREATE INDEX IDX_MSBD_TASKLOG_L_FID ON T_MSBD_TASKLOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_TASKLOGSCHEME', 'T_MSBD_TASKLOGSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKLOGSCHEME' AND KSQL_INDNAME = 'IDX_MSBD_TASKLOGSCHEME_NUMBER') CREATE INDEX IDX_MSBD_TASKLOGSCHEME_NUMBER ON T_MSBD_TASKLOGSCHEME ( FNUMBER  DESC );


 EXEC P_ALTERPK 'PK_T_MSBD_TASKLOGSCHEME_L', 'T_MSBD_TASKLOGSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKLOGSCHEME_L' AND KSQL_INDNAME = 'IDX_MSBD_TASKLOGSCHEME_L_FID') CREATE INDEX IDX_MSBD_TASKLOGSCHEME_L_FID ON T_MSBD_TASKLOGSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_TASKLOGSCHMENTRY', 'T_MSBD_TASKLOGSCHMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKLOGSCHMENTRY' AND KSQL_INDNAME = 'IDX_MSBD_TASKLOGSCHEMEENTRY_ID') CREATE INDEX IDX_MSBD_TASKLOGSCHEMEENTRY_ID ON T_MSBD_TASKLOGSCHMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSBD_COMBINSCHEME', 'T_MSBD_COMBINSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_COMBINSCHEME' AND KSQL_INDNAME = 'IX_MSBD_COMBINSCH_NUM') CREATE INDEX IX_MSBD_COMBINSCH_NUM ON T_MSBD_COMBINSCHEME ( FNUMBER  DESC );


 EXEC P_ALTERPK 'PK_T_MSBD_COMBINSCHEME_L', 'T_MSBD_COMBINSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_COMBINSCHEME_L' AND KSQL_INDNAME = 'IDX_MSBD_COMBINSCHEME_L') CREATE INDEX IDX_MSBD_COMBINSCHEME_L ON T_MSBD_COMBINSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_COMBINSCHEMEENTRY', 'T_MSBD_COMBINSCHEMEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_COMBINSCHEMEENTRY' AND KSQL_INDNAME = 'IDX_MSBD_COMBINSCHENTRY_SID') CREATE INDEX IDX_MSBD_COMBINSCHENTRY_SID ON T_MSBD_COMBINSCHEMEENTRY ( FSCHEMEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_COMBINSCHEMEENTRY' AND KSQL_INDNAME = 'IDX_MSBD_COMBINSCHEMEENTRY_FID') CREATE INDEX IDX_MSBD_COMBINSCHEMEENTRY_FID ON T_MSBD_COMBINSCHEMEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSBD_PARTITIONTASKMUTEX', 'T_MSBD_PARTITIONTASKMUTEX', 'FMUTEXKEY', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_PARTITIONTASKMUTEX' AND KSQL_INDNAME = 'IDX_MSBD_PARTITIONMUTEX_MTASK') CREATE INDEX IDX_MSBD_PARTITIONMUTEX_MTASK ON T_MSBD_PARTITIONTASKMUTEX ( FMAINTASKID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
