﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PLAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_PRICECHECK') 
 CREATE TABLE T_PLAT_PRICECHECK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FPRICELISTENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_PRICECHECK_L') 
 CREATE TABLE T_PLAT_PRICECHECK_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_PRICECHECKENTRY') 
 CREATE TABLE T_PLAT_PRICECHECKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSIGNID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISDIMENSION CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_QUOTESCHEME_L') 
 CREATE TABLE T_PLAT_QUOTESCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_QUOTESCHEMEENTRY') 
 CREATE TABLE T_PLAT_QUOTESCHEMEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSOURCESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESIGNNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTESIGNNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTEPATTERN VARCHAR(5) DEFAULT ' ' NOT NULL,
FISSUMDIMENSION CHAR(1) DEFAULT '0' NOT NULL,
FMATCHFLAG VARCHAR(5) DEFAULT ' ' NOT NULL,
FISCONVERT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_QUOTESORTENTRY') 
 CREATE TABLE T_PLAT_QUOTESORTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSOURCESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESIGNNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDER VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PLAT_QUOTESCHEME') 
 CREATE TABLE T_PLAT_QUOTESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPRICESOURCEENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FQUOTEENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FRETURNPATTERN VARCHAR(5) DEFAULT ' ' NOT NULL,
FCTRLSTRATEGY VARCHAR(5) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(512),
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FQUOTESRCCONDITION NVARCHAR(2000),
FQUOTECONDITION NVARCHAR(2000)
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PLAT_table.sql **/
